org.apache.tapestry5.mongodb

## Class MongoDBSymbols

- java.lang.Object
- - org.apache.tapestry5.mongodb.MongoDBSymbols

-     public class MongoDBSymbols
      extends java.lang.Object

  Configuration symbols, for use with contributions to `ApplicationDefaults`. All `Symbol` are relative to the usage of MongoDB support within Apache Tapestry.
  Since:
    5.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONNECTIONS_PER_HOSTS` The maximum number of connections allowed per host for this Mongo instance.
    `static java.lang.String` | `CONSISTENT_REQUEST` Where to use or not the consisten request paradigm.
    `static java.lang.String` | `DB_PASSWORD` Password to use to connect Mongo DB.
    `static java.lang.String` | `DB_USERNAME` Username to use to connect Mongo DB.
    `static java.lang.String` | `DEFAULT_DB_NAME` The MongoDB default database name to connect to.
    `static java.lang.String` | `READ_PREFERENCE` The `ReadPreference` to use.
    `static java.lang.String` | `SECURE_MODE` `true` if you need to connect to Mongo DB in secure mode, `false` otherwise.
    `static java.lang.String` | `WRITE_CONCERN` The `WriteConcern` to use.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoDBSymbols()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WRITE_CONCERN

          public static final java.lang.String WRITE_CONCERN

      The `WriteConcern` to use. Default to `WriteConcern.ACKNOWLEDGED`.
      See Also:
        Constant Field Values

    - #### READ_PREFERENCE

          public static final java.lang.String READ_PREFERENCE

      The `ReadPreference` to use. Default to `ReadPreference.primary()`.
      See Also:
        Constant Field Values

    - #### CONNECTIONS_PER_HOSTS

          public static final java.lang.String CONNECTIONS_PER_HOSTS

      The maximum number of connections allowed per host for this Mongo instance. Defaults to 10.
      See Also:
        Constant Field Values

    - #### DEFAULT_DB_NAME

          public static final java.lang.String DEFAULT_DB_NAME

      The MongoDB default database name to connect to. No default provided.
      See Also:
        Constant Field Values

    - #### CONSISTENT_REQUEST

          public static final java.lang.String CONSISTENT_REQUEST

      Where to use or not the consisten request paradigm. Default to false;
      See Also:
        Constant Field Values

    - #### SECURE_MODE

          public static final java.lang.String SECURE_MODE

      `true` if you need to connect to Mongo DB in secure mode, `false` otherwise. You need to set DB_USERNAME and DB_PASSWORD too if this is set to `true`. Defaults to `false`
      See Also:
        Constant Field Values

    - #### DB_USERNAME

          public static final java.lang.String DB_USERNAME

      Username to use to connect Mongo DB. Defaults to empty string.
      See Also:
        Constant Field Values

    - #### DB_PASSWORD

          public static final java.lang.String DB_PASSWORD

      Password to use to connect Mongo DB. Defaults to empty string.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MongoDBSymbols

          public MongoDBSymbols()

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.